curl --request GET \
--url https://api.area.club/lat/{address}import requests
url = "https://api.area.club/lat/{address}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.area.club/lat/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"proxyAddress": "0x35f4f28a8d3ff20eed10e087e8f96ea2641e6aa1",
"implementationAddress": "0x93c4b944d05dfe6df7645a86cd2206016c51564d",
"name": "EigenDA-ETH Liquid AVS Token",
"symbol": "xEigenDA-ETH",
"avsAddress": "0x2344c0fe02ccd2b32155ca0ffcb1978a6d96a552",
"chainId": 1,
"maxNodes": 12,
"contractDeployments": {
"implementation": {
"liquidTokenManager": "0x35f4f28a8d3ff20eed10e087e8f96ea2641e6aa1"
},
"proxy": {
"liquidTokenManager": "0x93c4b944d05dfe6df7645a86cd2206016c51564d"
}
},
"tokens": [
{
"address": "0x35f4f28a8d3ff20eed10e087e8f96ea2641e6aa1",
"strategyAddress": "0x93c4b944d05dfe6df7645a86cd2206016c51564d",
"volatilityThreshold": "700000000000000000",
"pricePerUnit": "1020000000000000000",
"decimals": 18
}
],
"assets": [
{
"asset": "<string>",
"balance": "<string>",
"queuedBalance": "<string>"
}
],
"tvl": {
"tvl": 123,
"unstakedTvl": 123,
"stakedTvl": 123,
"queuedTvl": 123,
"tvlAssets": {},
"tvlAssetsEth": {}
},
"apys": {
"current": {
"apy": "0.057",
"baseApy": "3.073",
"nativeApy": "0.128",
"totalApy": "3.257"
},
"avg30d": {
"apy": "0.057",
"baseApy": "3.073",
"nativeApy": "0.128",
"totalApy": "3.257"
},
"trailing7d": {
"apy": "0.057",
"baseApy": "3.073",
"nativeApy": "0.128",
"totalApy": "3.257"
},
"trailing30d": {
"apy": "0.057",
"baseApy": "3.073",
"nativeApy": "0.128",
"totalApy": "3.257"
},
"trailing3m": {
"apy": "0.057",
"baseApy": "3.073",
"nativeApy": "0.128",
"totalApy": "3.257"
},
"trailing6m": {
"apy": "0.057",
"baseApy": "3.073",
"nativeApy": "0.128",
"totalApy": "3.257"
},
"trailing1y": {
"apy": "0.057",
"baseApy": "3.073",
"nativeApy": "0.128",
"totalApy": "3.257"
}
},
"curatedMetadata": {
"avsAddress": "0x2344c0fe02ccd2b32155ca0ffcb1978a6d96a552",
"metadataName": "Example AVS",
"metadataDescription": "This is an example AVS",
"metadataDiscord": "https://discord.com/invite/example",
"metadataLogo": "The URL of the AVS's logo",
"metadataTelegram": "The URL of the AVS's Telegram channel",
"metadataWebsite": "https://example.com",
"metadataX": "https://twitter.com/example",
"metadataGithub": "https://github.com/example",
"metadataTokenAddress": "0x2344c0fe02ccd2b32155ca0ffcb1978a6d96a552",
"tags": [
"Example tag 1",
"Example tag 2"
]
}
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}Retrieve a specific LAT
Returns detailed information about a specific LAT by address. Supports optional TVL, APY, and curated metadata inclusion.
Path Parameters
LAT contract address (proxy)
^0x[a-fA-F0-9]{40}$"0x94a2a0548681fda8d5e2ad5a8eeecd891e02a613"
Query Parameters
Toggle whether the route should calculate the TVL from shares
true, false "false"
Toggle whether the route should send curated metadata
true, false "false"
Toggle whether the route should send apy data
true, false "false"
Response
Detailed information about the requested LAT
Proxy contract address of the LAT
^0x[a-fA-F0-9]{40}$"0x35f4f28a8d3ff20eed10e087e8f96ea2641e6aa1"
Implementation contract address of the LAT
^0x[a-fA-F0-9]{40}$"0x93c4b944d05dfe6df7645a86cd2206016c51564d"
The name of the LAT
"EigenDA-ETH Liquid AVS Token"
The symbol of the LAT
"xEigenDA-ETH"
Underlying AVS contract address
^0x[a-fA-F0-9]{40}$"0x2344c0fe02ccd2b32155ca0ffcb1978a6d96a552"
The chain ID where the token is deployed
1
Maximum number of Staker Nodes allowed
12
Show child attributes
Show child attributes
Tokens supported by the LAT
Show child attributes
Show child attributes
Supported assets
Show child attributes
Show child attributes
TVL and breakdown
Show child attributes
Show child attributes
APY breakdown for different time periods
Show child attributes
Show child attributes
To curate visibility and additional information of the AVS
Show child attributes
Show child attributes
{ "avsAddress": "0x2344c0fe02ccd2b32155ca0ffcb1978a6d96a552", "metadataName": "Example AVS", "metadataDescription": "This is an example AVS", "metadataDiscord": "https://discord.com/invite/example", "metadataLogo": "The URL of the AVS's logo", "metadataTelegram": "The URL of the AVS's Telegram channel", "metadataWebsite": "https://example.com", "metadataX": "https://twitter.com/example", "metadataGithub": "https://github.com/example", "metadataTokenAddress": "0x2344c0fe02ccd2b32155ca0ffcb1978a6d96a552", "tags": ["Example tag 1", "Example tag 2"] }